Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::RefMatrixf Class Reference

Inheritance diagram for osg::RefMatrixf:

[legend]
List of all members.

## Public Member Functions
| RefMatrixf ()
| RefMatrixf (const Matrixf &other)
| RefMatrixf (const Matrixd &other)
| RefMatrixf (const RefMatrixf &other)
| RefMatrixf (Matrixf::value_type const *const def)
| RefMatrixf (Matrixf::value_type a00, Matrixf::value_type a01, Matrixf::value_type a02, Matrixf::value_type a03, Matrixf::value_type a10, Matrixf::value_type a11, Matrixf::value_type a12, Matrixf::value_type a13, Matrixf::value_type a20, Matrixf::value_type a21, Matrixf::value_type a22, Matrixf::value_type a23, Matrixf::value_type a30, Matrixf::value_type a31, Matrixf::value_type a32, Matrixf::value_type a33)
virtual Object * | cloneType () const
| Clone the type of an object, with Object* return type.
virtual Object * | clone (const CopyOp &) const
| Clone an object, with Object* return type.
virtual bool | isSameKindAs (const Object *obj) const
virtual const char * | libraryName () const
| return the name of the object's library.
virtual const char * | className () const
| return the name of the object's class type.
## Protected Member Functions
virtual | ~RefMatrixf ()

## Constructor & Destructor Documentation

osg::RefMatrixf::RefMatrixf | ( |  | ) | `[inline]`

osg::RefMatrixf::RefMatrixf | ( | const Matrixf & | other | ) | `[inline]`

osg::RefMatrixf::RefMatrixf | ( | const Matrixd & | other | ) | `[inline]`

osg::RefMatrixf::RefMatrixf | ( | const RefMatrixf & | other | ) | `[inline]`

osg::RefMatrixf::RefMatrixf | ( | Matrixf::value_type const *const | def | ) | `[inline, explicit]`

osg::RefMatrixf::RefMatrixf | ( | Matrixf::value_type | a00,
|  | Matrixf::value_type | a01,
|  | Matrixf::value_type | a02,
|  | Matrixf::value_type | a03,
|  | Matrixf::value_type | a10,
|  | Matrixf::value_type | a11,
|  | Matrixf::value_type | a12,
|  | Matrixf::value_type | a13,
|  | Matrixf::value_type | a20,
|  | Matrixf::value_type | a21,
|  | Matrixf::value_type | a22,
|  | Matrixf::value_type | a23,
|  | Matrixf::value_type | a30,
|  | Matrixf::value_type | a31,
|  | Matrixf::value_type | a32,
|  | Matrixf::value_type | a33
| ) | `[inline]`

virtual osg::RefMatrixf::~RefMatrixf | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual const char* osg::RefMatrixf::className | ( |  | ) | const`[inline, virtual]`

| return the name of the object's class type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::RefMatrixf::clone | ( | const CopyOp & |  | ) | const`[inline, virtual]`

| Clone an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual Object* osg::RefMatrixf::cloneType | ( |  | ) | const`[inline, virtual]`

| Clone the type of an object, with Object* return type. Must be defined by derived classes. Implements osg::Object.

virtual bool osg::RefMatrixf::isSameKindAs | ( | const Object * | obj | ) | const`[inline, virtual]`

| Reimplemented from osg::Object.

virtual const char* osg::RefMatrixf::libraryName | ( |  | ) | const`[inline, virtual]`

| return the name of the object's library. Must be defined by derived classes. The OpenSceneGraph convention is that the namespace of a library is the same as the library name. Implements osg::Object.

The documentation for this class was generated from the following file:

- Matrixf